## python-oslo.privsep 2.0.0

=== debian/changelog ===
python-oslo.privsep (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 15:58:50 -0400

python-oslo.privsep (1.33.3-0ubuntu3) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:34:12 -0500

python-oslo.privsep (1.33.3-0ubuntu2) focal; urgency=medium

  * Use python3 when detecting module name from setup.py in autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Nov 2019 14:27:59 +0000

python-oslo.privsep (1.33.3-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:46:15 -0400

python-oslo.privsep (1.33.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Add python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:19:09 -0400

python-oslo.privsep (1.33.1-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 11:24:12 -0400

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 python3-bandit (>= 1.1.0),
 python3-cffi (>= 1.7.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 1.1.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-reno (>= 2.5.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi (>= 1.7.0),
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.10),
 python3-msgpack (>= 0.5.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

## python-oslo.privsep 2.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
cffi>=1.7.0 # MIT
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
greenlet>=0.4.14 # MIT
msgpack>=0.6.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.privsep (2.1.1-0ubuntu2~cloud0) bionic-ussuri; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 26 Sep 2023 14:50:52 +0000

python-oslo.privsep (2.1.1-0ubuntu2) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Edward Hope-Morley ]
  * Backport max_buffer_size fix (LP: #2029952)
    - d/p/Bump-max_buffer_size-for-Deserializer.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 04 Aug 2023 14:56:14 +0100

python-oslo.privsep (2.1.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/p/skip-py38-failures.patch: Dropped. Fixed upstream.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:47:38 -0400

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,9 @@
  python3-cffi (>= 1.7.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
- python3-greenlet (>= 0.4.10),
- python3-hacking (>= 1.1.0),
+ python3-greenlet (>= 0.4.14),
  python3-mock (>= 2.0.0),
- python3-msgpack (>= 0.5.0),
+ python3-msgpack (>= 0.6.0),
  python3-openstackdocstheme (>= 1.20.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -33,8 +32,8 @@
  python3-stestr (>= 2.0.0),
  subunit,
 Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.privsep
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.privsep
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.privsep
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.privsep-doc
@@ -55,8 +54,8 @@
 Depends:
  python3-cffi (>= 1.7.0),
  python3-eventlet (>= 0.18.2),
- python3-greenlet (>= 0.4.10),
- python3-msgpack (>= 0.5.0),
+ python3-greenlet (>= 0.4.14),
+ python3-msgpack (>= 0.6.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.privsep.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	for i in $$(find $(CURDIR) -type d -name __pycache__) ; do \
		rm -rf $$i ; \
	done
	rm -rf build .stestr AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslo.privsep-doc/usr/share/doc/python-oslo.privsep-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-oslo.privsep 2.4.0

=== debian/changelog ===
python-oslo.privsep (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 09:59:34 +0200

python-oslo.privsep (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix version of cffi to >= 1.14.0.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 12:00:40 +0200

python-oslo.privsep (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:24:18 +0200

python-oslo.privsep (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:17:15 +0200

python-oslo.privsep (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed skip-py38-failures.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:39:59 +0200

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cffi (>= 1.14.0),
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-mock,
 python3-msgpack (>= 0.6.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi (>= 1.14.0),
 python3-eventlet,
 python3-greenlet,
 python3-msgpack (>= 0.6.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

## python-oslo.privsep 2.5.0

=== debian/changelog ===
python-oslo.privsep (2.5.0-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Edward Hope-Morley ]
  * Backport max_buffer_size fix (LP: #2029952)
    - d/p/Bump-max_buffer_size-for-Deserializer.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 04 Aug 2023 14:56:14 +0100

python-oslo.privsep (2.5.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:55:33 +0000

python-oslo.privsep (2.5.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:35:34 -0400

python-oslo.privsep (2.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:35:05 -0400

python-oslo.privsep (2.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:30:14 +0000

python-oslo.privsep (2.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:51:32 -0400

python-oslo.privsep (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:40:22 -0400

## python-oslo.privsep 2.6.2

=== debian/changelog ===
python-oslo.privsep (2.6.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:51:39 +0200

python-oslo.privsep (2.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Aug 2021 16:47:33 +0200

python-oslo.privsep (2.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:31:19 +0200

python-oslo.privsep (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:14:12 +0200

python-oslo.privsep (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 21:59:41 +0100

## python-oslo.privsep 2.7.0

=== debian/changelog ===
python-oslo.privsep (2.7.0-0ubuntu2) jammy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/yoga branch.

  [ Edward Hope-Morley ]
  * Backport max_buffer_size fix (LP: #2029952)
    - d/p/Bump-max_buffer_size-for-Deserializer.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 04 Aug 2023 14:37:41 +0100

python-oslo.privsep (2.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:24:56 -0500

python-oslo.privsep (2.6.2-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:15:29 -0400

python-oslo.privsep (2.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:42:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,39 @@
 Source: python-oslo.privsep
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
+ python3-bandit,
  python3-cffi (>= 1.14.0),
- python3-eventlet,
- python3-fixtures,
- python3-greenlet,
- python3-hacking,
- python3-mock,
+ python3-eventlet (>= 0.21.0),
+ python3-fixtures (>= 3.0.0),
+ python3-greenlet (>= 0.4.14),
+ python3-mock (>= 2.0.0),
  python3-msgpack (>= 0.6.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-sphinxcontrib.apidoc,
- python3-stestr,
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep
-Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
-Homepage: https://launchpad.net/oslo
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.privsep
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.privsep
+Homepage: https://opendev.org/openstack/oslo.privsep
 
 Package: python-oslo.privsep-doc
 Section: doc
@@ -51,8 +52,8 @@
 Architecture: all
 Depends:
  python3-cffi (>= 1.14.0),
- python3-eventlet,
- python3-greenlet,
+ python3-eventlet (>= 0.21.0),
+ python3-greenlet (>= 0.4.14),
  python3-msgpack (>= 0.6.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),

## python-oslo.privsep 3.0.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-cffi>=1.7.0 # MIT
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+cffi>=1.14.0 # MIT
+eventlet>=0.21.0 # MIT
 greenlet>=0.4.14 # MIT
 msgpack>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:54:47 +0200

python-oslo.privsep (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:38:41 +0200

python-oslo.privsep (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 08:51:04 +0100

python-oslo.privsep (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:22:25 +0100

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cffi,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-mock,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi,
 python3-eventlet,
 python3-greenlet,
 python3-msgpack,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.privsep/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.privsep 3.1.0

=== debian/changelog ===
python-oslo.privsep (3.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045662).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 15:59:29 +0200

python-oslo.privsep (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:40:19 +0200

python-oslo.privsep (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:07:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 		rm -rf $$i ; \
 	done
 	rm -rf build .stestr AUTHORS ChangeLog
+	rm -rf doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-oslo.privsep 3.2.0

=== debian/changelog ===
python-oslo.privsep (3.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 20:23:58 +0000

python-oslo.privsep (3.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:54:49 -0400

python-oslo.privsep (3.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:19:22 -0500

python-oslo.privsep (3.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:20:21 -0400

python-oslo.privsep (3.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 12:51:07 -0400

python-oslo.privsep (2.8.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:05:08 -0400

## python-oslo.privsep 3.3.0

=== requirements.txt ===
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
cffi>=1.14.0 # MIT
eventlet>=0.21.0 # MIT
greenlet>=0.4.14 # MIT
msgpack>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (3.3.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 14:41:31 +0000

python-oslo.privsep (3.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:39:44 +0000

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-bandit,
 python3-cffi (>= 1.14.0),
 python3-eventlet (>= 0.21.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.14),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.6.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.privsep
Homepage: https://opendev.org/openstack/oslo.privsep

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi (>= 1.14.0),
 python3-eventlet (>= 0.21.0),
 python3-greenlet (>= 0.4.14),
 python3-msgpack (>= 0.6.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

## python-oslo.privsep 3.4.0

=== debian/changelog ===
python-oslo.privsep (3.4.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090575).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:36:48 +0100

python-oslo.privsep (3.4.0-3) unstable; urgency=medium

  * Add remove-tests-using-pipes.patch (Closes: #1082400).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 13:54:11 +0200

python-oslo.privsep (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:56:56 +0200

python-oslo.privsep (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:14:15 +0200

python-oslo.privsep (3.3.0-3) unstable; urgency=medium

  * Drop the obsolete python3-mock dependency (Closes: #1070213).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 08:22:28 +0200

python-oslo.privsep (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:40:37 +0200

python-oslo.privsep (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:32:27 +0100

python-oslo.privsep (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:50:50 +0200

python-oslo.privsep (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 14:41:29 +0200

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cffi,
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-hacking,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi,
 python3-eventlet,
 python3-greenlet,
 python3-msgpack,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

## python-oslo.privsep 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-oslo.log>=3.36.0 # Apache-2.0
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
+oslo.log>=5.0.2 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-oslo.privsep (3.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop BD's that are no longer needed.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Jan 2025 17:31:08 +0000

python-oslo.privsep (3.4.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:19:12 +0100

## python-oslo.privsep 3.6.0

=== debian/changelog ===
python-oslo.privsep (3.6.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:52:45 +0000

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cffi (>= 1.14.0),
 python3-eventlet (>= 0.21.0),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.14),
 python3-msgpack (>= 0.6.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 5.0.2),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.privsep
Homepage: https://opendev.org/openstack/oslo.privsep

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi (>= 1.14.0),
 python3-eventlet (>= 0.21.0),
 python3-greenlet (>= 0.4.14),
 python3-msgpack (>= 0.6.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 5.0.2),
 python3-oslo.utils (>= 3.33.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

## python-oslo.privsep 3.8.0

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,4 @@
 eventlet>=0.21.0 # MIT
 greenlet>=0.4.14 # MIT
 msgpack>=0.6.0 # Apache-2.0
+debtcollector>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-oslo.privsep (3.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:17:47 +0200

python-oslo.privsep (3.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:57:44 +0200

python-oslo.privsep (3.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:30:37 +0100

python-oslo.privsep (3.6.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:28:56 +0100

python-oslo.privsep (3.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-tests-using-pipes.patch, applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:20:46 +0100

=== debian/control ===
Source: python-oslo.privsep
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cffi,
 python3-debtcollector (>= 3.0.0),
 python3-eventlet,
 python3-fixtures,
 python3-greenlet,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.privsep.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.privsep-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack library for privilege separation - doc
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the documentation.

Package: python3-oslo.privsep
Architecture: all
Depends:
 python3-cffi,
 python3-debtcollector (>= 3.0.0),
 python3-eventlet,
 python3-greenlet,
 python3-msgpack,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.privsep-doc,
Description: OpenStack library for privilege separation - Python 3.x
 Oslo.privsep is the OpenStack library for privilege separation. It manages the
 user and groups for running daemons, and also leverage Linux capabilities
 features to avoid running as root.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	for i in $$(find $(CURDIR) -type d -name __pycache__) ; do \
 		rm -rf $$i ; \
 	done
-	rm -rf build .stestr AUTHORS ChangeLog
+	rm -rf build .stestr AUTHORS ChangeLog *.egg-info
 	rm -rf doc/source/reference/api
 
 override_dh_auto_build:

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.privsep refs/tags/(\d[brc\d\.]+)

## python-oslo.privsep 3.9.0

=== debian/changelog ===
python-oslo.privsep (3.9.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 3.9.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 13:50:24 -0800

python-oslo.privsep (3.8.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 12 Sep 2025 16:05:39 -0700

python-oslo.privsep (3.7.0+git2025070815.d4b560f-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 11 Jul 2025 10:21:09 -0700

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.privsep/ oslo[._]privsep-(\d.*)\.tar\.gz

## python-oslo.privsep 3.10.1

=== debian/changelog ===
python-oslo.privsep (3.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 09:00:33 +0100

python-oslo.privsep (3.8.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045662).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 12:17:05 +0100
